from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSupportedLanguages(XInterface, Protocol):
    def getLanguages(self) -> list[int]: ...
    def hasLanguage(self, nLanguage: int) -> bool: ...
